package dcguibuilder;

import javax.swing.JComponent;

/**
 * Title:        Direct Csound GUI Builder
 * Description:  program to graphically build GUI's for Gabriel Maldonado's Direct Csound GUI Opcodes
 * Copyright:    Copyright (c) 2001
 * Company:      steven yi music
 * @author steven yi
 * @version 1.0
 */

public class FLbutton extends WidgetOther implements Widget {

  public FLbutton() {
  }

  public String generateText() {
    String output = this.kout + "," + this.ihandle + "\tFLbutton\t" +
                    "\"" + label + "\"" + "," + ion + "," + ioff + "," + this.iwidth + "," +
                    this.iheight + "," + this.ix + "," + this.iy;
    return output;
  }


  public JComponent getEditGUI() {
    return new WidgetOtherEditGUI(this, 1);
  }

}