package dcguibuilder;

import javax.swing.JComponent;

/**
 * Title:        Direct Csound GUI Builder
 * Description:  program to graphically build GUI's for Gabriel Maldonado's Direct Csound GUI Opcodes
 * Copyright:    Copyright (c) 2001
 * Company:      steven yi music
 * @author steven yi
 * @version 1.0
 */

public class FLslider extends WidgetValuator implements Widget {

  public FLslider() {
  }

  public String generateText() {
    String output = this.kout + "," + this.ihandle + "\tFLslider\t" +
                    "\"" + label + "\"" + "," + this.imin + "," + this.imax + "," +
                    this.iexp + "," + this.itype + "," + this.idisp + "," +
                    this.iwidth + "," + this.iheight + "," + this.ix + "," + this.iy;
    return output;
  }


  public JComponent getEditGUI() {
    return new WidgetValuatorEditGUI(this, 1);
  }

}