package dcguibuilder;

/**
 * Title:        Direct Csound GUI Builder
 * Description:  program to graphically build GUI's for Gabriel Maldonado's Direct Csound GUI Opcodes
 * Copyright:    Copyright (c) 2001
 * Company:      steven yi music
 * @author steven yi
 * @version 1.0
 */

import java.io.Serializable;

class WidgetValuator implements Serializable{

  String kout = "gk";
  String koutx = "gk";
  String kouty = "gk";
  String ihandle = "ih";
  String ihandlex = "ih";
  String ihandley = "ih";
  String label = "";

  int imin = 0;
  int iminx = 0;
  int iminy = 0;
  int imax = 100;
  int imaxx = 100;
  int imaxy = 100;
  int iexp = 0;
  int iexpx = 0;
  int iexpy = 0;
  int itype = 1;
  int idisp = -1;
  int idispx = -1;
  int idispy = -1;

  float istep = 10.0f;
  float istep1 = 10.0f;
  float istep2 = 10.0f;

  String iopcode = "105";

  int iwidth = 50;
  int iheight = 50;
  int ix = 0;
  int iy = 0;

}