package dcguibuilder;

import javax.swing.JComponent;

/**
 * Title:        Direct Csound GUI Builder
 * Description:  program to graphically build GUI's for Gabriel Maldonado's Direct Csound GUI Opcodes
 * Copyright:    Copyright (c) 2001
 * Company:      steven yi music
 * @author steven yi
 * @version 1.0
 */

public class FLcount extends WidgetValuator implements Widget {

  public FLcount() {
  }

  public String generateText() {
    String output = kout + "," + ihandle + "\tFLcount\t" +
                    "\"" + label + "\"" + "," + imin + "," + imax + "," + istep1 + "," + istep2 + "," +
                    itype + "," + iwidth + "," + iheight + "," + ix + "," + iy + "," + iopcode;

    return output;
  }

  public JComponent getEditGUI() {
    return new WidgetValuatorEditGUI5(this, 6);
  }

}