package dcguibuilder;

/**
 * Title:        Direct Csound GUI Builder
 * Description:  program to graphically build GUI's for Gabriel Maldonado's Direct Csound GUI Opcodes
 * Copyright:    Copyright (c) 2001
 * Company:      steven yi music
 * @author steven yi
 * @version 1.0
 */

import java.util.*;
import java.io.Serializable;

class WidgetContainer implements Serializable{
  ArrayList widgets = new ArrayList();

  String kout = "gk";
  String ihandle = "ih";
  String label = "";
  int iwidth = 50;
  int iheight = 50;
  int ix = 0;
  int iy = 0;
  int iborder = 0;

  public String generateWidgetText() {
    StringBuffer output = new StringBuffer();
    Iterator iter = widgets.iterator();
    while(iter.hasNext()) {
      output.append(((Widget)iter.next()).generateText() + "\n");
    }
    return output.toString();
  }

  public ArrayList getWidgets() {
    return widgets;
  }

  public void addWidget(Widget widget) {
    widgets.add(widget);
  }

}