package dcguibuilder;

/**
 * Title:        Direct Csound GUI Builder
 * Description:  program to graphically build GUI's for Gabriel Maldonado's Direct Csound GUI Opcodes
 * Copyright:    Copyright (c) 2001
 * Company:      steven yi music
 * @author steven yi
 * @version 1.0
 */

import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.awt.*;
import java.util.*;

public class WidgetValuatorEditGUI4 extends JComponent implements WidgetEditGUI{
  DCGUIMain main;
  WidgetValuator widgetValuator;

  JLabel koutxLabel = new JLabel();
  JLabel ihandlexLabel = new JLabel();
  JTextField koutxText = new JTextField();
  JTextField ihandlexText = new JTextField();
  JLabel labelLabel = new JLabel();
  JLabel iminxLabel = new JLabel();
  JLabel imaxxLabel = new JLabel();
  JLabel iexpxLabel = new JLabel();
  JTextField labelText = new JTextField();
  JTextField iminxText = new JTextField();
  JTextField imaxxText = new JTextField();
  JTextField iexpxText = new JTextField();
  JLabel idispxLabel = new JLabel();
  JLabel iwidthLabel = new JLabel();
  JLabel iheightLabel = new JLabel();
  JLabel ixLabel = new JLabel();
  JLabel iyLabel = new JLabel();
  JTextField iwidthText = new JTextField();
  JTextField idispxText = new JTextField();
  JTextField iheightText = new JTextField();
  JTextField iyText = new JTextField();
  JTextField ixText = new JTextField();
  JLabel koutyLabel = new JLabel();
  JTextField koutyText = new JTextField();
  JLabel ihandleyLabel = new JLabel();
  JTextField ihandleyText = new JTextField();
  JLabel iminyLabel = new JLabel();
  JLabel imaxyLabel = new JLabel();
  JTextField iminyText = new JTextField();
  JTextField imaxyText = new JTextField();
  JLabel iexpyLabel = new JLabel();
  JTextField iexpyText = new JTextField();
  JLabel idispyLabel = new JLabel();
  JTextField idispyText = new JTextField();

  public WidgetValuatorEditGUI4(WidgetValuator widgetValuator) {
    this.widgetValuator = widgetValuator;
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    koutxLabel.setText("koutx");
    koutxLabel.setBounds(new Rectangle(4, 5, 41, 17));
    this.setPreferredSize(new Dimension(200, 300));
    ihandlexLabel.setBounds(new Rectangle(4, 52, 48, 17));
    ihandlexLabel.setRequestFocusEnabled(false);
    ihandlexLabel.setToolTipText("");
    ihandlexLabel.setText("ihandlex");
    koutxText.setBounds(new Rectangle(57, 5, 119, 21));
    ihandlexText.setBounds(new Rectangle(57, 52, 119, 21));
    labelLabel.setText("label");
    labelLabel.setBounds(new Rectangle(4, 98, 41, 17));
    iminxLabel.setToolTipText("");
    iminxLabel.setText("iminx");
    iminxLabel.setBounds(new Rectangle(4, 121, 41, 17));
    imaxxLabel.setText("imaxx");
    imaxxLabel.setBounds(new Rectangle(4, 145, 41, 17));
    iexpxLabel.setText("iexpx");
    iexpxLabel.setBounds(new Rectangle(4, 214, 41, 17));
    labelText.setBounds(new Rectangle(57, 98, 119, 21));
    iminxText.setBounds(new Rectangle(57, 121, 119, 21));
    imaxxText.setBounds(new Rectangle(57, 145, 119, 21));
    iexpxText.setBounds(new Rectangle(57, 214, 119, 21));
    idispxLabel.setText("idispx");
    idispxLabel.setBounds(new Rectangle(4, 261, 41, 17));
    iwidthLabel.setText("iwidth");
    iwidthLabel.setBounds(new Rectangle(4, 307, 41, 17));
    iheightLabel.setText("iheight");
    iheightLabel.setBounds(new Rectangle(4, 331, 41, 17));
    ixLabel.setText("ix");
    ixLabel.setBounds(new Rectangle(4, 354, 41, 17));
    iyLabel.setText("iy");
    iyLabel.setBounds(new Rectangle(4, 377, 41, 17));
    iwidthText.setBounds(new Rectangle(57, 307, 119, 21));
    idispxText.setBounds(new Rectangle(57, 261, 119, 21));
    iheightText.setBounds(new Rectangle(57, 331, 119, 21));
    iyText.setBounds(new Rectangle(57, 377, 119, 21));
    ixText.setBounds(new Rectangle(57, 354, 119, 21));
    koutyLabel.setText("kouty");
    koutyLabel.setBounds(new Rectangle(4, 28, 41, 17));
    koutyText.setBounds(new Rectangle(57, 28, 119, 21));
    ihandleyLabel.setText("ihandley");
    ihandleyLabel.setBounds(new Rectangle(4, 75, 50, 17));
    ihandleyText.setBounds(new Rectangle(57, 75, 119, 21));
    iminyLabel.setBounds(new Rectangle(4, 168, 41, 17));
    iminyLabel.setText("iminy");
    iminyLabel.setToolTipText("");
    imaxyLabel.setBounds(new Rectangle(4, 191, 41, 17));
    imaxyLabel.setText("imaxy");
    iminyText.setText(Integer.toString(widgetValuator.imin));
    iminyText.setBounds(new Rectangle(57, 168, 119, 21));
    imaxyText.setText(Integer.toString(widgetValuator.imin));
    imaxyText.setBounds(new Rectangle(57, 191, 119, 21));
    iexpyLabel.setBounds(new Rectangle(4, 238, 41, 17));
    iexpyLabel.setToolTipText("");
    iexpyLabel.setText("iexpy");
    iexpyText.setBounds(new Rectangle(57, 238, 119, 21));
    idispyLabel.setBounds(new Rectangle(4, 284, 41, 17));
    idispyLabel.setText("idispy");
    idispyText.setBounds(new Rectangle(57, 284, 119, 21));
    this.add(labelText, null);
    this.add(koutxText, null);
    this.add(idispxText, null);
    this.add(iminyText, null);
    this.add(iexpyText, null);
    this.add(imaxxText, null);
    this.add(ihandleyText, null);
    this.add(iheightText, null);
    this.add(iyText, null);
    this.add(iwidthText, null);
    this.add(iminxText, null);
    this.add(ihandlexText, null);
    this.add(ixText, null);
    this.add(iexpxText, null);
    this.add(imaxyText, null);
    this.add(koutyText, null);
    this.add(idispyText, null);
    this.add(koutxLabel, null);
    populateFields();
    setupTextBoxes();
    this.add(koutyLabel, null);
    this.add(ihandlexLabel, null);
    this.add(ihandleyLabel, null);
    this.add(labelLabel, null);
    this.add(iminxLabel, null);
    this.add(imaxxLabel, null);
    this.add(iheightLabel, null);
    this.add(iyLabel, null);
    this.add(ixLabel, null);
    this.add(iwidthLabel, null);
    this.add(iexpxLabel, null);
    this.add(idispxLabel, null);
    this.add(idispyLabel, null);
  }

  public void setMain(DCGUIMain main) {
    this.main = main;
  }

  public void populateFields() {
    this.add(koutxText, null);
    koutxText.setText(widgetValuator.koutx);
    koutyText.setText(widgetValuator.kouty);
    ihandlexText.setText(widgetValuator.ihandlex);
    ihandleyText.setText(widgetValuator.ihandley);
    labelText.setText(widgetValuator.label);
    iminxText.setText(Integer.toString(widgetValuator.iminx));
    imaxxText.setText(Integer.toString(widgetValuator.imaxx));
    iminyText.setText(Integer.toString(widgetValuator.iminy));
    imaxyText.setText(Integer.toString(widgetValuator.imaxy));
    iexpxText.setText(Integer.toString(widgetValuator.iexpx));
    iexpyText.setText(Integer.toString(widgetValuator.iexpy));
    idispxText.setText(Integer.toString(widgetValuator.idispx));
    idispyText.setText(Integer.toString(widgetValuator.idispy));
    iwidthText.setText(Integer.toString(widgetValuator.iwidth));
    iheightText.setText(Integer.toString(widgetValuator.iheight));
    ixText.setText(Integer.toString(widgetValuator.ix));
    iyText.setText(Integer.toString(widgetValuator.iy));

    this.add(iexpxText, null);
    this.add(iexpxLabel, null);
    this.add(idispxText, null);
    this.add(idispxLabel, null);
    this.add(iwidthLabel, null);
    this.add(iwidthText, null);
    this.add(iheightText, null);
    this.add(iheightLabel, null);
    this.add(ixLabel, null);
    this.add(ixText, null);
    this.add(iyText, null);
    this.add(iyLabel, null);
    this.add(iminyText, null);
    this.add(imaxyText, null);
    this.add(iexpxText, null);
    this.add(iexpxLabel, null);
    this.add(iminyLabel, null);
    this.add(ixLabel, null);
    this.add(imaxyLabel, null);
    this.add(iwidthLabel, null);
    this.add(iexpxLabel, null);
    this.add(iexpyLabel, null);
    this.add(iheightLabel, null);
    this.add(iyLabel, null);
    this.add(iyText, null);
    this.add(iexpyText, null);

  }

  public int checkNumber(String input) {
    int x;
    try {
       x = Integer.parseInt(input);
    } catch (NumberFormatException ne) {
      x = 0;
    }
    if (x < -1) { x = 0; }
    return x;
  }

  public float checkNumFloat(String input) {
    float x;
    try {
       x = Float.parseFloat(input);
    } catch (NumberFormatException ne) {
      x = 0;
    }
    if (x < -1) { x = 0; }
    return x;
  }

  public void setupTextBoxes() {
    koutxText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.koutx = koutxText.getText();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.koutx = koutxText.getText();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.koutx = koutxText.getText();
      }
    });

    koutyText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.kouty = koutyText.getText();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.kouty = koutyText.getText();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.kouty = koutyText.getText();
      }
    });

    ihandlexText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.ihandlex = ihandlexText.getText();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.ihandlex = ihandlexText.getText();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.ihandlex = ihandlexText.getText();
      }
    });

    ihandleyText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.ihandley = ihandleyText.getText();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.ihandley = ihandleyText.getText();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.ihandley = ihandleyText.getText();
      }
    });

    iminxText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.iminx = checkNumber(iminxText.getText());
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.iminx = checkNumber(iminxText.getText());
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.iminx = checkNumber(iminxText.getText());
      }
    });

    imaxxText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.imaxx = checkNumber(imaxxText.getText());
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.imaxx = checkNumber(imaxxText.getText());
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.imaxx = checkNumber(imaxxText.getText());
      }
    });

    iminyText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.iminy = checkNumber(iminyText.getText());
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.iminy = checkNumber(iminyText.getText());
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.iminy = checkNumber(iminyText.getText());
      }
    });

    imaxyText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.imaxy = checkNumber(imaxyText.getText());
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.imaxy = checkNumber(imaxyText.getText());
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.imaxy = checkNumber(imaxyText.getText());
      }
    });

    iexpxText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.iexpx = checkNumber(iexpxText.getText());
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.iexpx = checkNumber(iexpxText.getText());
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.iexpx = checkNumber(iexpxText.getText());
      }
    });

    iexpyText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.iexpy = checkNumber(iexpyText.getText());
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.iexpy = checkNumber(iexpyText.getText());
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.iexpy = checkNumber(iexpyText.getText());
      }
    });

    idispxText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.idispx = checkNumber(idispxText.getText());
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.idispx = checkNumber(idispxText.getText());
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.idispx = checkNumber(idispxText.getText());
      }
    });

    idispyText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.idispy = checkNumber(idispyText.getText());
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.idispy = checkNumber(idispyText.getText());
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.idispy = checkNumber(idispyText.getText());
      }
    });

    labelText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.label = labelText.getText();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.label = labelText.getText();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.label = labelText.getText();
      }
    });

    iwidthText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.iwidth = checkNumber(iwidthText.getText());
        main.updateWidgets();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.iwidth = checkNumber(iwidthText.getText());
        main.updateWidgets();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.iwidth = checkNumber(iwidthText.getText());
        main.updateWidgets();
      }
    });
    iheightText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.iheight = checkNumber(iheightText.getText());
        main.updateWidgets();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.iheight = checkNumber(iheightText.getText());
        main.updateWidgets();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.iheight = checkNumber(iheightText.getText());
        main.updateWidgets();
      }
    });
    ixText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.ix = checkNumber(ixText.getText());
        main.updateWidgets();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.ix = checkNumber(ixText.getText());
        main.updateWidgets();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.ix = checkNumber(ixText.getText());
        main.updateWidgets();
      }
    });

    iyText.getDocument().addDocumentListener(new DocumentListener() {
      public void insertUpdate(DocumentEvent e) {
        widgetValuator.iy = checkNumber(iyText.getText());
        main.updateWidgets();
      }
      public void removeUpdate(DocumentEvent e) {
        widgetValuator.iy = checkNumber(iyText.getText());
        main.updateWidgets();
      }
      public void changedUpdate(DocumentEvent e) {
        widgetValuator.iy = checkNumber(iyText.getText());
        main.updateWidgets();
      }
    });

  }

}